<?php
/**
 * 微信相关的API
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: weibo<1198002730@qq.com> 2020-08-24 $
 */
namespace app\index\api;

use think\Exception;
class Wx{
    /**
     * 更新 客户和渠道绑定表
     * 
     * @param  Event       类型
     * @param  EventKey    参数
     * @return array
     */
    public function getWxrchannel($param){

        if (!$param['Event']) {
            return array('error'=>1,'code'=>100,'msg'=>'没有Event参数');
        }
        if (!$param['EventKey']) {
            return array('error'=>1,'code'=>100,'msg'=>'没有EventKey参数');
        }

        if ($Event=='subscribe') {
            $key = substr($EventKey,8);
            $key = explode(',', $key);
        }else if ($Event=='SCAN') {
            $key = explode(',',$EventKey);
        }
        // 渠道
        $inRcdata['channel_id'] = $key[0];
        $inRcdata['channel_name'] = db('crm_s_channel')->where('id', $inRcdata['channel_id'])->value('channel_name');
        // 关键字
        $inRcdata['keywords'] = db('crm_s_channel_keywords')->where('id', $key[1])->value('keyword');

        $inRcdata['create_time'] = date('Y-m-d H:i:s',time());

        $data['inRcdata'] = $inRcdata;
        $res = db('crm_s_wx_rchannel')->insert($inRcdata);
        if ($res) {
            $data['code'] = 200;
        }else{
            $data['code'] = 100;
            $data['msg'] = db('crm_s_wx_rchannel')->getLastSql();
        }
        return $data;
    }

}